Skip to main content
GET
/
v3
/
properties
/
{property_id}
cURL
curl --request GET \
  --url https://api.ctrl-hub.com/v3/properties/{property_id} \
  --header 'X-Session-Token: <api-key>'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "type": "<string>",
    "attributes": {
      "address": {
        "description": "<string>",
        "department": "<string>",
        "organisation": "<string>",
        "number": "<string>",
        "name": "<string>",
        "thoroughfare": "<string>",
        "dependent_thoroughfare": "<string>",
        "post_town": "<string>",
        "postcode": "<string>",
        "po_box": "<string>",
        "country": "<string>"
      },
      "uprn": 123,
      "psr": {
        "indicator": true,
        "priority": 123,
        "notes": "<string>",
        "contact": "<string>"
      },
      "meters": [
        {
          "type": "<string>",
          "number": 123
        }
      ],
      "location": {
        "british_national_grid": {
          "easting": 123,
          "northing": 123
        },
        "lat_long": {
          "latitude": 123,
          "longitude": 123
        }
      }
    },
    "meta": {
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    },
    "relationships": {
      "street": {
        "data": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "type": "<string>"
        }
      },
      "meters": {
        "data": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "type": "<string>"
          }
        ]
      },
      "psrs": {
        "data": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "type": "<string>"
          }
        ]
      }
    }
  },
  "jsonapi": {
    "version": "<string>"
  },
  "included": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "<string>",
      "attributes": {
        "supply_identifier": "<string>",
        "supply_type": "MPAN",
        "serial_number": "<string>",
        "extra_info": [
          {
            "display_name": "<string>",
            "field": "<string>",
            "value": "<string>"
          }
        ]
      },
      "meta": {
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "uprn": 123
      },
      "relationships": {
        "organisation": {
          "data": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "type": "<string>"
          }
        },
        "property": {
          "data": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "type": "<string>"
          }
        },
        "psrs": {
          "data": [
            {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "type": "<string>"
            }
          ]
        }
      }
    }
  ]
}

Authorizations

X-Session-Token
string
header
required

Session token for authentication.

Path Parameters

property_id
string<uuid>
required

The unique identifier for the property.

Query Parameters

include
enum<string>[]

A comma separated list of related resources to include.

Available options:
psrs,
meters

Response

Get a property.

JSON API response object

data
object
required

A property

jsonapi
object
required
included
object[]

Related resources that can be included when a property is returned

A meter